﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace CarouselProblem
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            CreateData();
        }

        private void CreateData()
        {
            ViewModel viewModel = new ViewModel();

            viewModel.OrderViewModels.Add(new OrderViewModel { LimitPrice = 100, Quantity = 50, Side = "Buy"});
            viewModel.OrderViewModels.Add(new OrderViewModel { LimitPrice = 36545, Quantity = 755, Side = "Sell" });
            viewModel.OrderViewModels.Add(new OrderViewModel { LimitPrice = 342, Quantity = 5, Side = "Buy" });
            viewModel.OrderViewModels.Add(new OrderViewModel { LimitPrice = 1550, Quantity = 530, Side = "Sell" });
            viewModel.OrderViewModels.Add(new OrderViewModel { LimitPrice = 6544, Quantity = 7995, Side = "Sell" });
            viewModel.OrderViewModels.Add(new OrderViewModel { LimitPrice = 32, Quantity = 533, Side = "Buy" });

            DataContext = viewModel;
        }
    }
}
